## speech-tools 2.5.0

=== Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                       Copyright (c) 1996-2017                         ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
##                                                                       ##
##     Top level Makefile for Edinburgh Speech tools library             ##
##     Authors: Paul Taylor, Simon King, Alan W Black, Richard Caley     ##
##                 and others (see ACKNOWLEDGEMENTS)                     ##
#     Version: 2.5 release December 2017                                ##
##                                                                       ##
###########################################################################

TOP=.
DIRNAME=.
LIB_BUILD_DIRS = audio utils base_class ling_class speech_class sigpr \
             stats grammar intonation
# Development directories are those that contain non-stable code
#DEV_DIRS = $(shell if [ -f DEV_DIRS ]; then cat DEV_DIRS; fi )
BUILD_DIRS = $(LIB_BUILD_DIRS) lib main scripts testsuite bin
TEMPLATE_DIRS=include audio utils base_class base_class/string \
              ling_class speech_class sigpr stats grammar siod
EXTRA_DIRS=siod java rxp wrappers
ALL_DIRS = include $(BUILD_DIRS) $(EXTRA_DIRS) config doc 
VERSION=$(PROJECT_VERSION)
CONFIG=configure configure.in config.sub config.guess \
       missing install-sh mkinstalldirs
FILES=Makefile README.md INSTALL $(CONFIG)

LOCAL_CLEAN= Build.trace Test.trace Templates.DB

ALL = .config_error .sub_directories

# Try and say if config hasn't been created
config_dummy := $(shell test -f config/config || ( echo '*** '; echo '*** Making default config file ***'; echo '*** '; ./configure; )  >&2)

# force a check on the system file
system_dummy := $(shell $(MAKE) -C $(TOP)/config -f make_system.mak TOP=.. system.mak)

include $(TOP)/config/common_make_rules

dist:	backup
backup:  time-stamp
	 @ $(MAKE) file-list
	 @ sed 's/^\.\///' <FileList | sed 's/^/speech_tools\//' >FileList.all
	 @ (cd ..; tar cvf - `cat speech_tools/FileList.all` speech_tools/.time-stamp | gzip > speech_tools/speech_tools-$(VERSION)-$(PROJECT_STATE).tar.gz)
	 @ $(RM) -f $(TOP)/FileList.all
	 @ ls -l speech_tools-$(VERSION)-$(PROJECT_STATE).tar.gz

time-stamp :
	@ echo speech_tools $(VERSION) >.time-stamp
	@ date >>.time-stamp

minrev:  backup
	@mv speech_tools-$(VERSION).tar.gz speech_tools-$(VERSION).`date +%y%m%d`.tar.gz

tags:
	@ $(RM) -f FileList
	@ $(MAKE) --no-print-directory FileList
	@ etags `grep ".[ch]c*$$" FileList`

test: make_library
	@ $(MAKE) --no-print-directory -C testsuite test

rebuild_and_test:
	$(MAKE) -k clean
	$(MAKE) -k depend
	$(MAKE) -k all >Build.trace 2>&1 
	$(MAKE) -k test >Test.trace 2>&1 
	@if egrep 'FAILED|INCORRECT' Test.trace ;\
		then \
		echo test failed ;\
		exit 1 ;\
	fi
	@if cat Build.trace Test.trace | egrep 'warning:' ;\
		then \
		echo warnings found ;\
		exit 2 ;\
	fi

config/config: config/config.in config.status
	./config.status

configure: configure.in
	autoconf

include $(TOP)/config/rules/top_level.mak
include $(TOP)/config/rules/install.mak

=== ling_class/Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                         Copyright (c) 1996                            ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
##             Linguistic Class Makefile                                 ##
##=======================================================================##

TOP=..
DIRNAME=ling_class

LOCAL_DEFAULT_LIBRARY = estbase

H = EST_UtteranceFile.h genxml.h apml.h solexml.h relation_io.h ling_class_init.h \
	  EST_FeatureFunctionContext.h

TSRCS =   ling_t.cc EST_Utterance.cc \
          item_feats.cc apml.cc solexml.cc  EST_FeatureFunctionPackage.cc \
	  EST_FeatureFunctionContext.cc

LOCAL_TSRCS = EST_UtteranceFile.cc genxml.cc EST_utterance_aux.cc ling_class_init.cc 
CPPSRCS = EST_Item.cc EST_Item_Content.cc item_aux.cc \
          EST_relation_aux.cc EST_relation_track.cc \
          relation_io.cc EST_relation_compare.cc \
	  standard_feature_functions.cc EST_Relation_mls.cc \
	  EST_item_aux.cc EST_item_content_aux.cc EST_Relation.cc \
          $(LOCAL_TSRCS) $(TSRCS)

SRCS = $(CPPSRCS)
OBJS = $(CPPSRCS:.cc=.o)
FILES = $(SRCS) $(H) Makefile

VC_LOCAL_DEFINES = /DESTLIBDIRC=$(EST_HOME)/lib /DINCLUDE_XML_FORMATS=1

ALL = .buildlib

include $(TOP)/config/common_make_rules

ifdef INCLUDE_RXP
    UTTERANCEFILEDEFS += -DINCLUDE_XML_FORMATS
endif

ling_class_init.o EST_utterance_aux.o EST_UtteranceFile.o: %.o : %.cc
	$(strip $(CXX_COMMAND_TEMPLATES) $(UTTERANCEFILEDEFS) $< )

genxml.o: genxml.cc
	$(strip $(CXX_COMMAND_TEMPLATES) -DESTLIBDIRC='$(EST_HOME)/lib' $< )

=== main/Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                    Copyright (c) 1994,1995,1996                       ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
#                       Author :  Paul Taylor                             #
#                       Date   :  June 1994                               #
#-------------------------------------------------------------------------#
#           Makefile for directory for stand alone programs               #
#                                                                         #
#=========================================================================#
TOP=..
DIRNAME=main
ALL_DIRS = # main_development
BUILD_DIRS = 
H = 
TSRCS =	 
OLD_BASESRCS = fringe_client_main.cc 
BASESRCS = ch_lab_main.cc ch_track_main.cc ch_wave_main.cc \
           na_play_main.cc na_record_main.cc \
           sigfilter_main.cc sig2fv_main.cc spectgen_main.cc \
           pda_main.cc pitchmark_main.cc \
           ngram_test_main.cc ngram_build_main.cc \
	   tilt_synthesis_main.cc tilt_analysis_main.cc \
	   viterbi_main.cc dp_main.cc bcat_main.cc ch_utt_main.cc \
	   design_filter_main.cc align_main.cc


MAINSRCS = $(BASESRCS)
MODMAINSRCS =

# Part of the distribution but only optionally compiled
EXTRASRCS = wagon_main.cc wagon_test_main.cc \
            ols_main.cc ols_test_main.cc \
            scfg_make_main.cc scfg_train_main.cc scfg_test_main.cc \
            scfg_parse_main.cc \
            wfst_build_main.cc wfst_run_main.cc wfst_train_main.cc \
            siod_main.cc \
            xml_parser_main.cc


CPPSRCS = $(MAINSRCS) $(TSRCS) $(EXTRASRCS)

OBJS = $(CPPSRCS:.cc=.o)

# Specific extra LIBS for specific programs
na_play_LIBS = $(AUDIO_LIBS) $(AUDIO_EXTRA_LIBS)
ch_lab_LIBS = $(FILEFORMATLIBS)
ch_track_LIBS = $(FILEFORMATLIBS)

MAIN_EXECS = $(MAINSRCS:_main.cc=)
MOD_EXECS = $(notdir $(MODMAINSRCS:_main.cc=))
ALL_EXECS = $(MAIN_EXECS) $(MOD_EXECS)
ALL = .make_execs .sub_directories

SRCS = $(CPPSRCS)
FILES= $(BASESRCS) $(EXTRASRCS) $(TSRCS) Makefile

include $(TOP)/config/common_make_rules
include $(TOP)/config/rules/bin_process.mak

ifeq (SIOD_PYTHON, $(findstring SIOD_PYTHON, $(INCLUDE_MODULES)))
	MODULE_LIBS +=$(shell python3-config --ldflags) -ldl -lutil -lm
endif

MAIN_O = $(MAIN_EXECS:%=%_main.o)
$(MAIN_O) : %_main.o : %_main.cc
	$(CXX_COMMAND) -o $@ $<

MOD_O = $(MOD_EXECS:=_main.o)
$(MOD_O) : %_main.o : $(SRC_FOR_%)
	$(CXX_COMMAND) -o $@ -DESTLIBDIR=\"$(EST_HOME)/lib\" $($*_SRC)

$(ALL_EXECS) : % : $(LIBDEPS) %_main.o 
	$(strip $(LINK_COMMAND) -o $@ $@_main.o $(LIBS) $($(@:=_LIBS)))

.make_execs : $(ALL_EXECS)

=== scripts/Makefile ===
 ###########################################################################
 ##                                                                       ##
 ##                Centre for Speech Technology Research                  ##
 ##                     University of Edinburgh, UK                       ##
 ##                         Copyright (c) 1996                            ##
 ##                        All Rights Reserved.                           ##
 ##                                                                       ##
 ##  Permission is hereby granted, free of charge, to use and distribute  ##
 ##  this software and its documentation without restriction, including   ##
 ##  without limitation the rights to use, copy, modify, merge, publish,  ##
 ##  distribute, sublicense, and/or sell copies of this work, and to      ##
 ##  permit persons to whom this work is furnished to do so, subject to   ##
 ##  the following conditions:                                            ##
 ##   1. The code must retain the above copyright notice, this list of    ##
 ##      conditions and the following disclaimer.                         ##
 ##   2. Any modifications must be clearly marked as such.                ##
 ##   3. Original authors' names are not deleted.                         ##
 ##   4. The authors' names are not used to endorse or promote products   ##
 ##      derived from this software without specific prior written        ##
 ##      permission.                                                      ##
 ##                                                                       ##
 ##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
 ##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
 ##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
 ##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
 ##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
 ##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
 ##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
 ##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
 ##  THIS SOFTWARE.                                                       ##
 ##                                                                       ##
 ###########################################################################
 ##                                                                       ##
 ##                    Makfile for script directory                       ##
 ## --------------------------------------------------------------------- ##
 ##                 Author: Richard Caley (rjc@cstr.ed.ac.uk)             ##
 ##                   Date: June 1997                                     ##
 ##                                                                       ##
 ###########################################################################

TOP=..
DIRNAME=scripts
SCRIPTS= example_to_doc++.prl resynth.sh pm.prl\
	 make_wagon_desc.sh raw_to_xgraph.prl \
	est_examples.sh est_gdb.sh est_program.sh \
	cxx_to_docbook.prl \
	build_docbook_index.prl \
	tex_to_images.prl
FILES = Makefile shared_setup_sh shared_setup_prl shared_script $(SCRIPTS)
INSTALL = 
ALL = $(SCRIPTS)

include $(TOP)/config/common_make_rules
include $(TOP)/config/rules/bin_process.mak

=== sigpr/Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                   Copyright (c) 1994,1995,1996                        ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
#                      Signal processing Makefile                         #
#                                                                         #
#=========================================================================#
TOP=..
DIRNAME=sigpr

LIB_BUILD_DIRS = pda 
BUILD_DIRS = $(LIB_BUILD_DIRS)
ALL_DIRS = $(BUILD_DIRS) # sigpr_development

LOCAL_DEFAULT_LIBRARY = estbase
H = 

TSRCS = EST_Window.cc
# Some versions of gcc can't optimize this file (most can)
NOOPTSRCS = fft.cc 
CPPSRCS = delta.cc filter.cc \
	sigpr_frame.cc sigpr_utt.cc \
	pitchmark.cc spectrogram.cc misc.cc $(NOOPTSRCS)

SRCS = $(TSRCS) $(CPPSRCS)
OBJS = $(SRCS:.cc=.o)
DOCXX = lpc.cc
FILES = $(SRCS) $(H) Makefile

ALL = .buildlib $(BUILD_DIRS)

include $(TOP)/config/common_make_rules

=== speech_class/Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                         Copyright (c) 1996                            ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
##                       Speech Class Makefile                           ##
##                                                                       ##
##=======================================================================##
TOP=..
DIRNAME=speech_class

LOCAL_DEFAULT_LIBRARY = estbase

H = htk.h esps_utils.h waveP.h EST_wave_utils.h \
	EST_TrackFile.h EST_WaveFile.h ssff.h
TSRCS =   EST_TrackMap.cc EST_Track.cc \
          wave_t.cc track_t.cc EST_wave_aux.cc \
	  EST_TrackFile.cc EST_WaveFile.cc 
CPPSRCS = EST_Wave.cc EST_track_aux.cc \
          EST_wave_temp.cc EST_wave_cuts.cc ssff.cc \
	  esps_io.cc esps_utils.cc EST_wave_io.cc EST_wave_utils.cc \
          $(TSRCS)
#         EST_wave_stream.cc
SRCS = $(CPPSRCS) $(CSRCS)
OBJS = $(CPPSRCS:.cc=.o)

FILES = $(SRCS) $(H) Makefile

SHAREABLE_OBJECTS = $(OBJS)

ALL = .buildlib

include $(TOP)/config/common_make_rules

=== testsuite/Makefile ===
 ###########################################################################
 ##                                                                       ##
 ##                Centre for Speech Technology Research                  ##
 ##                     University of Edinburgh, UK                       ##
 ##                         Copyright (c) 1997                            ##
 ##                        All Rights Reserved.                           ##
 ##                                                                       ##
 ##  Permission is hereby granted, free of charge, to use and distribute  ##
 ##  this software and its documentation without restriction, including   ##
 ##  without limitation the rights to use, copy, modify, merge, publish,  ##
 ##  distribute, sublicense, and/or sell copies of this work, and to      ##
 ##  permit persons to whom this work is furnished to do so, subject to   ##
 ##  the following conditions:                                            ##
 ##   1. The code must retain the above copyright notice, this list of    ##
 ##      conditions and the following disclaimer.                         ##
 ##   2. Any modifications must be clearly marked as such.                ##
 ##   3. Original authors' names are not deleted.                         ##
 ##   4. The authors' names are not used to endorse or promote products   ##
 ##      derived from this software without specific prior written        ##
 ##      permission.                                                      ##
 ##                                                                       ##
 ##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
 ##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
 ##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
 ##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
 ##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
 ##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
 ##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
 ##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
 ##  THIS SOFTWARE.                                                       ##
 ##                                                                       ##
 ###########################################################################
 ##                   Testsuite Directory Makefile                        ##
 ###########################################################################

 # To quickly rebuld the tests:
 #	make
 # To run the tests
 #	make test
 # To run a specific test
 #	make hash_module_build_and_test
 # or just
 #	make hash_module_rebuild
 #	make hash_module_test


TOP=..
DIRNAME=testsuite
ALL_DIRS = correct

# Place to find test data

DATA=$(EST_HOME)/lib/example_data

VC_LOCAL_DEFINES = /DDATAC=$(EST_HOME)/lib

# tests performed by shell scripts
TEST_SCRIPTS = ch_wave ch_track viterbi wagon tilt lpc

# tests performed by C++ programs
#TEST_MODULES = string list hash pathname named_enum track_map token
TEST_MODULES = string hash pathname \
	track token complex list kvl \
	handle named_enum deq ling feature
TMP_OMITTED = track_map error

# These don't compile on some systems (due to compiler problems)
OTHERS=sigpr_example.cc sigpr_regression.cc

# define any arguments for the scripts or programs here (for instance
# if they need to be passed the name of a data file).

hash_regression_args = $(DATA)/alice

TEST_OPTIMISE=3

# by default we just rebuild the C++ tests to catch typos etc.
ALL = build_test_programs
ALL_EXECS = $(TEST_MODULES:%=%_example) $(TEST_MODULES:%=%_regression)
LOCAL_CLEAN = tmp

include $(TOP)/config/test_make_rules

ifdef INCLUDE_RXP
	ALL = foobar $(shell echo help>/dev/tty)
endif

MODULES = $(TEST_MODULES:%=%_example)

foo:
	: $(ALL_EXECS)

OPTIMISE=$(TEST_OPTIMISE)

LOCAL_DEFINES +=-DTVECTOR_BOUNDS_CHECKING

override WARN=1

just_test test: 
	$(MAKE) --no-print-directory $@s 2>&1 | tee .test_out
	@if egrep 'FAILED|INCORRECT|Warning' .test_out >/dev/null;\
		then \
		echo "-------------" ;\
		echo "Tests failed:" ;\
		egrep 'FAILED|INCORRECT|Warning' .test_out ;\
	else \
		echo "-------------" ;\
		echo "Test OK" ;\
	fi
tmpdir:
	rm -rf tmp
	mkdir tmp

tests: tmpdir test_modules test_scripts

just_tests: tmpdir just_test_modules just_test_scripts


build_test_programs: $(TEST_PROGRAMS)
	@:

=== config/modules/Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                         Copyright (c) 1996                            ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
##                                                                       ##
##  Makefile for config directory                                        ##
##                                                                       ##
###########################################################################
TOP=../..
DIRNAME=config/modules

RULESETS = efence.mak dmalloc.mak debugging.mak \
	psola_tm.mak editline.mak tcl.mak \
	freebsd16_audio.mak irix_audio.mak linux16_audio.mak \
	sun16_audio.mak win32_audio.mak macosx_audio.mak \
	mplayer_audio.mak nas_audio.mak esd_audio.mak \
	siod_python.mak

FILES = Makefile descriptions $(RULESETS) 

include $(TOP)/config/common_make_rules

=== doc/images/Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                         Copyright (c) 1996                            ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
##                     Author :  Sergio Oller                            ##
##                     Date   :  September 2013                          ##
##-----------------------------------------------------------------------##
##                                                                       ##
##                    Documentation images directory                     ##
##                                                                       ##
##=======================================================================##
TOP=../..
DIRNAME=doc/images

SVGIMAGES = relations_2.svg relations.svg tilt-f0-representation.svg \
            tilt-search-region.svg typical-pitch-accent.svg

EPSIMAGES = relations_2.eps relations.eps tilt-f0-representation.eps \
            tilt-search-region.eps typical-pitch-accent.eps

IMAGES = $(SVGIMAGES) $(EPSIMAGES) 
FILES = Makefile ${IMAGES}

-include $(TOP)/config/common_make_rules

=== doc/man/Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                         Copyright (c) 1996                            ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
##                     Author :  Paul Taylor                             ##
##                     Date   :  March 1995                              ##
##-----------------------------------------------------------------------##
##                                                                       ##
##                    Documentation directory                            ##
##                                                                       ##
##=======================================================================##
TOP=../..
DIRNAME=doc/man

PROGRAMS = align bcat ch_lab ch_track ch_utt ch_wave design_filter \
           dp fringe_client na_play na_record ngram_build ngram_test \
           ols ols_test pda pitchmark scfg_make scfg_parse scfg_test \
           scfg_train sig2fv sigfilter siod spectgen tilt_analysis \
           tilt_synthesis viterbi wagon wagon_test wfst_build wfst_run \
           wfst_train xml_parser

BODYFILES = $(addsuffix _man.dox.body, $(PROGRAMS))
DOXFILES = $(addsuffix _man.dox, $(PROGRAMS))


XSLT_FILES = convert-options.xslt convert-synopsis.xslt
SCRIPTS = create_dox.sh

FILES = Makefile $(BODYFILES) $(XSLT_FILES) $(SCRIPTS)

LOCAL_CLEAN = $(DOXFILES)

-include $(TOP)/config/common_make_rules

%_man.dox: %_man.dox.body
	./create_dox.sh $(TOP)/main/$* $@.body || exit 1

all_dox: $(DOXFILES)

=== grammar/ngram/Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                         Copyright (c) 1996                            ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
#                   Makefile for n-grammar classes                        #
#=========================================================================#
TOP=../..
DIRNAME=grammar/ngram
H = 
CSRCS =
TSRCS = lattice_t.cc 
CPPSRCS = $(TSRCS) EST_Ngrammar.cc ngrammar_io.cc ngrammar_aux.cc \
          ngrammar_utils.cc EST_lattice.cc EST_lattice_io.cc freqsmooth.cc \
	  EST_PST.cc
SRCS = $(CPPSRCS) $(CSRCS)
OBJS = $(CPPSRCS:.cc=.o) $(CSRCS:.c=.o)
FILES = $(SRCS) $(H) Makefile

ALL = .buildlib

include $(TOP)/config/common_make_rules

=== grammar/wfst/Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                         Copyright (c) 1996                            ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
#         Makefile for weighted finite state transducer classes           #
#=========================================================================#
TOP=../..
DIRNAME=grammar/wfst
H = wfst_aux.h
CSRCS =
TSRCS = EST_WFST.cc wfst_regex.cc wfst_ops.cc wfst_transduce.cc kkcompile.cc
CPPSRCS = $(TSRCS) wfst_aux.cc ltscompile.cc rgcompile.cc tlcompile.cc \
          wfst_train.cc 
SRCS = $(CPPSRCS) $(CSRCS)
OBJS = $(CPPSRCS:.cc=.o) $(CSRCS:.c=.o)
FILES = $(SRCS) $(H) Makefile wfst.mak

ALL = .buildlib

include $(TOP)/config/common_make_rules

=== debian/changelog ===
speech-tools (1:2.5.0-14) unstable; urgency=medium

  * clean: Also clean test outputs (Closes: Bug#1047732)
  * tests/tests: Always unpatch on exit.
  * patches/gcc-15: Fix build with gcc-15 (Closes: Bug#1097916)
  * rules: Use buildtools.mk.
  * Update standards version to 4.6.2, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 05 Sep 2025 01:08:51 +0200

speech-tools (1:2.5.0-13) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 4.6.0 (no change)
  * control: Make doc Multi-Arch: foreign.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.1, no changes needed.
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on doxygen.
    + speech-tools-doc: Drop versioned constraint on doc-base in Depends.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Jan 2023 22:50:01 +0100

speech-tools (1:2.5.0-12) unstable; urgency=medium

  * rules: Drop ddeb-migration rules, now useless
  * rules: Do not try to mess with autoreconf in clean target
    (Closes: Bug#997438)
  * rules: set cross-build CC and CXX.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 23 Oct 2021 22:42:38 +0200

speech-tools (1:2.5.0-11) unstable; urgency=medium

  * patches/reproducible.diff: Avoid recording build flags in a file, we can
    get them from the environment.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 01 Jan 2021 15:03:55 +0100

speech-tools (1:2.5.0-10) unstable; urgency=medium

  * rules: Drop now-default -Wl,--as-needed option.
  * control: Replace libncurses5-dev with libncurses-dev.
  * control: Bump Standards-Version to 4.5.0 (no change)

 -- Samuel Thibault <sthibault@debian.org>  Sun, 27 Sep 2020 23:59:46 +0200

speech-tools (1:2.5.0-9) unstable; urgency=medium

  * patches/no-common: Fix build with gcc-10 (Closes: Bug#957831).
  * control: Update alioth list domain.
  * Move tests patches from patches to tests-patches.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 20 May 2020 10:40:31 +0200

speech-tools (1:2.5.0-8) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Fix day-of-week for changelog entries 1:1.2.96~beta-1, 1:1.2.3-5,
    1:1.2.3-4, 1:1.2.3-3, 1:1.2.3-2, 1:1.2.3-1, 1:1.2.3-0.1, 1:1.2.2-
    2.2.
  * Update standards version to 4.4.1, no changes needed.

  [ Samuel Thibault ]
  * patches/datadir_fhs.diff: Fix path to /usr/share and /usr/lib.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 19 Jan 2020 19:27:48 +0100

speech-tools (1:2.5.0-7) unstable; urgency=medium

  [ Samuel Thibault ]
  * tests/control: Use @builddeps@ instead of copying them.
  * watch: Generalize pattern.
  * rules: Run tests through dh_auto_test, but disable parallel build, which
    fails. (Closes: #941630)

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Dec 2019 14:52:21 +0100

speech-tools (1:2.5.0-6) unstable; urgency=medium

  [ Sergio Oller ]
  * Update canonical Vcs-Git and Vcs-Browser
  * Fix missing OpenMP symbols in libestools
  * Replace bundled debian/dh_doxygen with the equivalent debhelper
    provided by the doxygen package.

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 4.4.0 (no changes).
  * rules: Run tests.
  * patches/test_failure: Really detect test failure.
  * patches/more-lintian-spelling.patch: Fix spelling of test result too.
  * tests: Run tests in autopkgtest.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 29 Aug 2019 00:39:13 +0200

speech-tools (1:2.5.0-5) unstable; urgency=medium

  [ Samuel Thibault ]
  * Bump Standards-Version to 4.2.0 (no changes).

  [ Adrian Bunk ]
  * Fix updating config.{guess,sub}. (Closes: #898016)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 27 Aug 2018 20:56:41 +0200

speech-tools (1:2.5.0-4) unstable; urgency=medium

  * Fix another FTBFS and missing documentation by also building the
    binary files on arch:all (Closes: #887920)

 -- Paul Gevers <elbrus@debian.org>  Sun, 21 Jan 2018 21:57:13 +0100

speech-tools (1:2.5.0-3) unstable; urgency=medium

  * Fix FTBFS by making some build targets arch / indep specific

 -- Paul Gevers <elbrus@debian.org>  Sat, 20 Jan 2018 20:56:49 +0100

speech-tools (1:2.5.0-2) unstable; urgency=medium

  * Upload to unstable
  * Add --as-needed to the linker flags to prevent multiple unneeded
    dependencies

 -- Paul Gevers <elbrus@debian.org>  Sat, 20 Jan 2018 19:37:30 +0100

speech-tools (1:2.5.0-1) experimental; urgency=medium

  * New upstream release (Closes: #886994)
  * Target experimental to clear the NEW queue and get an auto transition
    tracker
  * Refresh patches
  * Bump Standards version to 4.1.3
  * Bump debhelper compat level to 11 (and Rules-Requires-Root: no)
  * Drop some obsolete conflict/replaces and Build-Depends
  * Major revamp of packaging, leverage short dh usage by moving logic
    from d/rules to helper files
  * Add more-lintian-spelling.patch and typos in man pages (Thanks lintian)
  * Drop d/p/gcc-6 as we pass C++ flags in d/rules
  * Add myself to the uploaders

 -- Paul Gevers <elbrus@debian.org>  Tue, 16 Jan 2018 21:47:23 +0100

speech-tools (1:2.4~release-7) unstable; urgency=medium

  [ Paul Gevers ]
  * Drop override_dh_shlibsdeps target. It didn't do anything since it's
    introduction due to a typo and apparently isn't needed anymore
    (Closes: #834663)

  [ Helmut Grohne ]
  * Fix FTCBFS: Pass CC and CXX to make. (Closes: Bug#885697)

 -- Samuel Thibault <sthibault@debian.org>  Fri, 05 Jan 2018 19:41:34 +0100

=== debian/control ===
Source: speech-tools
Section: sound
Priority: optional
Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
Uploaders: Jean-Philippe MENGUAL <texou@accelibreinfo.eu>, Kumar Appaiah <akumar@debian.org>, Paul Gevers <elbrus@debian.org>, Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               gawk | awk,
               libncurses-dev,
               libpulse-dev,
               libasound2-dev [linux-any],
               xsltproc,
               doxygen,
               doxygen-latex,
               graphviz
Standards-Version: 4.6.2
Homepage: http://festvox.org/packed/festival/
Vcs-Git: https://salsa.debian.org/tts-team/speech-tools.git
Vcs-Browser: https://salsa.debian.org/tts-team/speech-tools
Rules-Requires-Root: no

Package: libestools2.5
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Edinburgh Speech Tools Library
 The Edinburgh Speech Tools Library is a collection of C++ class, functions and
 related programs for manipulating the sorts of objects used in speech
 processing.

Package: libestools-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libestools2.5 (= ${binary:Version}),
         libasound2-dev [linux-any],
         libncurses-dev
Conflicts: libestools2.1-dev
Replaces: libestools2.1-dev
Provides: libestools2.1-dev
Suggests: speech-tools-doc
Description: Edinburgh Speech Tools Library - developer's libraries
 The Edinburgh Speech Tools Library is a collection of C++ class, functions and
 related programs for manipulating the sorts of objects used in speech
 processing.
 .
 This package contains the header files and static libraries.

Package: speech-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Suggests: speech-tools-doc
Description: Edinburgh Speech Tools - user binaries
 This package contains the various highly useful utility programs that use and
 accompany the Edinburgh Speech Tools Library. Audio software and some basic
 signal processing software is included in this package.
 .
 The following programs are available:
 na_play: generic playback program for use with net_audio and CSTR ao.
 ch_wave: Waveform file conversion program.
 ch_lab: label file conversion program.
 ch_track: Track file conversion program.
 wagon: a CART tree build and test program
 .
 See /usr/share/doc/speech-tools/README for detail list of programs available.

Package: speech-tools-doc
Architecture: all
Section: doc
Multi-Arch: foreign
Depends: ${misc:Depends}, ${doxygen:Depends}, doc-base
Built-Using: ${doxygen:Built-Using}
Description: Documentation for the Edinburgh Speech Tools
 This package contains the HTML and Postscript versions of the
 documentation for the Edinburgh Speech Tools.
 .
 Documentation also contains examples and tutorials on how to use Speech
 Tools library with your programs.

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildtools.mk
include /usr/share/dpkg/pkg-info.mk

export DEB_VERSION_UPSTREAM
export PROJECT_VERSION=$(DEB_VERSION_UPSTREAM)
export PROJECT_MAJOR_VERSION=$(shell echo $(DEB_VERSION_UPSTREAM) | sed 's/^\([^\.]\+\.[^\.]\)\.[^\.]\+$$/\1/')

SBT := $(shell pwd)/debian/speech-tools

S_SCRIPTS = raw_to_xgraph.prl make_wagon_desc.sh resynth.sh

override_dh_auto_build-arch:
	$(MAKE) CC='$(CC)' CXX='$(CXX) -fno-delete-null-pointer-checks'

override_dh_auto_build-indep:
	# Unfortunately the documentation is created by parsing the binaries that
	# are build. As such we need a much of a full build for the documentation.
	$(MAKE) CC='$(CC)' CXX='$(CXX) -fno-delete-null-pointer-checks'
	cd doc && $(MAKE) doc

override_dh_auto_test:
	dh_auto_test --no-parallel

override_dh_auto_clean:
	-$(MAKE) clean NO_DEPEND=1 SYSTEM_TYPE=unknown_DebianGNULinux

override_dh_clean:
	find -name make.depend -print0 | xargs -0r $(RM)
	find -name make.include -print0 | xargs -0r $(RM)
	find bin/ \( -name SCCS -o -name RCS -o -name CVS \) -prune \
	     -o -type f ! -name Makefile -print0 | xargs -0r $(RM)
	dh_clean

override_dh_install-arch:
	dh_install
	mkdir -p $(SBT)/usr/bin
	(cd scripts && \
		for i in $(S_SCRIPTS); do \
			dest=`echo $$i | sed -e 's/\.\(prl\|sh\)$$//'`; \
			sed -e 's,__PERL__,/usr/bin/perl,g' \
				<$$i >$(SBT)/usr/bin/$$dest; \
			chmod +x $(SBT)/usr/bin/$$dest; \
		done)
	# Handle the install of pm which is renamed simple-pitchmark separately.
	(cd scripts && \
			sed -e 's,__PERL__,/usr/bin/perl,g' \
				<pm.prl >$(SBT)/usr/bin/simple-pitchmark; \
			chmod +x $(SBT)/usr/bin/simple-pitchmark;)

override_dh_fixperms-arch:
	dh_fixperms
	chmod +x debian/libestools-dev/usr/lib/speech_tools/config/rules/modules.sh
	chmod +x debian/libestools-dev/usr/lib/speech_tools/config/system.sh

override_dh_install-indep:
	dh_install
	dh_doxygen -p speech-tools-doc usr/share/doc/speech-tools-doc/doc/

%:
	dh $@

=== debian/tests/control ===
Tests: tests
Depends: libestools-dev, speech-tools,
         @builddeps@

=== debian/watch ===
version=3
opts="uversionmangle=s/-beta/~beta/;s/-release//" \
http://festvox.org/packed/festival/([\d.]*)/speech_tools-@ANY_VERSION@@ARCHIVE_EXT@
